import createFetch, { ResponseDataEntity } from './index';
import { BASE_SERVER_URL } from '../constants/index';

const fetch = createFetch(BASE_SERVER_URL + '/wx/api');
type LoginPramas = {
  code: string;
};
type LoginReponseData = {
  registed: boolean;
  token: string;
};
export interface LoginReponse extends ResponseDataEntity<LoginReponseData> {
  data: LoginReponseData;
}

export const login = (data: LoginPramas) =>
  fetch({
    url: '/user/login2',
    data: data,
  });

export const fetchValidateCode = () =>
  fetch({
    url: '/getValidateCode',
  });

export const getImageVcode = () =>
  fetch({
    url: '/getImageValidateCode',
  });

export const getVcode = entity =>
  fetch({
    url: '/getValidateCode',
    method: 'POST',
    data: entity,
  });

type RegisiterPramas = {};
// type RegisiterReponseData = {};

export const fetchWxUserRegister = (entity: RegisiterPramas) =>
  fetch({
    url: '/user/regisiter2',
    method: 'POST',
    data: entity,
  });
